Package org.eclipse.net4j.util.io

# Class ExtendedDataOutput.Stream

java.lang.Object
java.io.OutputStream
org.eclipse.net4j.util.io.ExtendedDataOutput.Stream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Enclosing interface:
  ExtendedDataOutput

public static class ExtendedDataOutput.Stream extends OutputStream

Since:
  2.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Stream(ExtendedDataOutput delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ExtendedDataOutput`
`getDelegate()`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`flush, nullOutputStream, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stream

public Stream(ExtendedDataOutput delegate)

## Method Details

### getDelegate

public ExtendedDataOutput getDelegate()

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`